/* 
 * This file is part of battwd. See battwd.c for further information.
 *
 * battwd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * battwd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with battwd.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CONFIG_H
#define CONFIG_H

#include "global.h"

/** Modifiers **/
#define SLEEP_SECONDS   1         /* Default time between each data capture */

/**
 *  
 */
static battery batteries[] = { \
  /* Battery 0 */
  { "BAT0",
    NULL,
    NULL,
    /* Battery files */
    3, /* Number of files by battery */
    {
      { "/proc/acpi/battery/BAT0/state", TRUE, 6,
        {
          { 0, BAT_PRESENT   },
          { 1, BAT_CAPACITY  },
          { 2, BAT_CHARGING  },
          { 3, BAT_RATE      },
          { 4, BAT_REMAINING },
          { 5, BAT_VOLTAGE   },
        }
      },
      { "/proc/acpi/battery/BAT0/alarm", TRUE, 1,
        {
          { 0, BAT_ALARM     },
        }
      },
      { "/proc/acpi/ac_adapter/AC/state", TRUE, 1,
        {
          { 0, AC_ADAPTER   },
        }
      },
    },
    /* Actions for battery BAT0 */
    2, /* Number of actions */
    {
      { 0, "./scripts/bat0.sh", { "", "0", (char *)NULL } },
      { 30, "./scripts/bat0.sh", { "", "30", (char *)NULL } },
    },
    NULL },
  /* Battery 1 */
  { "BAT1",
    NULL,
    NULL,
    /* Battery files */
    3, /* Number of files by battery */
    {
      { "/sys/class/power_supply/BAT0/uevent", TRUE, 6,
        {
          { 3,  BAT_PRESENT   },
          { 10, BAT_CAPACITY  },
          { 2,  BAT_CHARGING  },
          { 3,  BAT_RATE      },
          { 11, BAT_REMAINING },
          { 6,  BAT_VOLTAGE   },
        }
      },
      { "/sys/class/power_supply/BAT0/alarm", FALSE, 1,
        {
          { 0, BAT_ALARM     },
        }
      },
      { "/sys/class/power_supply/AC/uevent", TRUE, 1,
        {
          { 2, AC_ADAPTER   },
        }
      },
    },
    /* Actions for battery BAT0 */
    2, /* Number of actions */
    {
      { 0, "./scripts/bat1.sh", { "", "0", (char *)NULL } },
      { 30, "./scripts/bat1.sh", { "", "30", (char *)NULL } },
    },
    NULL },
};

#endif
